VMware não funcionará após o upgrade do Ubuntu

19

Eu fiz o upgrade para o Ubuntu 15.10 e agora, se eu quiser abrir o VMware Player, ele não fará nada. Eu também desinstalei e instalei novamente, ainda nada.

O que posso fazer?

    
por 123 24.10.2015 / 00:13
fonte

1 resposta

35

A solução abaixo aplica-se a versões do VMWare anteriores a 12.1.0. A versão 12.1.0 do VMWare não requer essa correção.

O VMWare e o VMPlayer estão, de fato, procurando por uma string de biblioteca específica. Você pode executar o VMWare / VMPlayer a partir do terminal executando

export LD_LIBRARY_PATH=/usr/lib/vmware/lib/libglibmm-2.4.so.1/:$LD_LIBRARY_PATH

, em seguida, vmware ou vmplayer

Eu fiz disso uma mudança permanente no meu sistema, executando em seu lugar

executando sudo nano /usr/bin/vmware e adicionando a linha

export LD_LIBRARY_PATH=/usr/lib/vmware/lib/libglibmm-2.4.so.1

após a linha export PRODUCT_NAME...

Pressione ctrl + o para salvar e ctrl + x para sair: O VMWare agora funcionará.

Para executar a mesma função para o VMPlayer, execute as mesmas alterações em /usr/bin/vmplayer

    
por Charles Green 24.10.2015 / 00:51
fonte

Tags